Skip to main content
`Ctrl`+`K`

# DMAppendOptionsPrefix

Appends an additional string to an already existing prefix used for searching for `DM` options in the options database.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMAppendOptionsPrefix(DM dm, const char prefix[])

Logically Collective

## Input Parameters

- dm - the `DM` context

- prefix - the string to append to the current prefix

## Note

If the `DM` does not currently have an options prefix then this value is used alone as the prefix as if `DMSetOptionsPrefix()` had been called. A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

DM Basics, `DM`, `DMSetOptionsPrefix()`, `DMGetOptionsPrefix()`, `PetscObjectAppendOptionsPrefix()`, `DMSetFromOptions()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages